<div class="front_page_section front_page_section_googlemap<?php
	$dwell_scheme = dwell_get_theme_option( 'front_page_googlemap_scheme' );
	if ( ! empty( $dwell_scheme ) && ! dwell_is_inherit( $dwell_scheme ) ) {
		echo ' scheme_' . esc_attr( $dwell_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( dwell_get_theme_option( 'front_page_googlemap_paddings' ) );
	if ( dwell_get_theme_option( 'front_page_googlemap_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$dwell_css      = '';
		$dwell_bg_image = dwell_get_theme_option( 'front_page_googlemap_bg_image' );
		if ( ! empty( $dwell_bg_image ) ) {
			$dwell_css .= 'background-image: url(' . esc_url( dwell_get_attachment_url( $dwell_bg_image ) ) . ');';
		}
		if ( ! empty( $dwell_css ) ) {
			echo ' style="' . esc_attr( $dwell_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$dwell_anchor_icon = dwell_get_theme_option( 'front_page_googlemap_anchor_icon' );
	$dwell_anchor_text = dwell_get_theme_option( 'front_page_googlemap_anchor_text' );
if ( ( ! empty( $dwell_anchor_icon ) || ! empty( $dwell_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_googlemap"'
									. ( ! empty( $dwell_anchor_icon ) ? ' icon="' . esc_attr( $dwell_anchor_icon ) . '"' : '' )
									. ( ! empty( $dwell_anchor_text ) ? ' title="' . esc_attr( $dwell_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_googlemap_inner
		<?php
		$dwell_layout = dwell_get_theme_option( 'front_page_googlemap_layout' );
		echo ' front_page_section_layout_' . esc_attr( $dwell_layout );
		if ( dwell_get_theme_option( 'front_page_googlemap_fullheight' ) ) {
			echo ' dwell-full-height sc_layouts_flex sc_layouts_columns_middle';
		}
		?>
		"
			<?php
			$dwell_css      = '';
			$dwell_bg_mask  = dwell_get_theme_option( 'front_page_googlemap_bg_mask' );
			$dwell_bg_color_type = dwell_get_theme_option( 'front_page_googlemap_bg_color_type' );
			if ( 'custom' == $dwell_bg_color_type ) {
				$dwell_bg_color = dwell_get_theme_option( 'front_page_googlemap_bg_color' );
			} elseif ( 'scheme_bg_color' == $dwell_bg_color_type ) {
				$dwell_bg_color = dwell_get_scheme_color( 'bg_color', $dwell_scheme );
			} else {
				$dwell_bg_color = '';
			}
			if ( ! empty( $dwell_bg_color ) && $dwell_bg_mask > 0 ) {
				$dwell_css .= 'background-color: ' . esc_attr(
					1 == $dwell_bg_mask ? $dwell_bg_color : dwell_hex2rgba( $dwell_bg_color, $dwell_bg_mask )
				) . ';';
			}
			if ( ! empty( $dwell_css ) ) {
				echo ' style="' . esc_attr( $dwell_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_googlemap_content_wrap
		<?php
		if ( 'fullwidth' != $dwell_layout ) {
			echo ' content_wrap';
		}
		?>
		">
			<?php
			// Content wrap with title and description
			$dwell_caption     = dwell_get_theme_option( 'front_page_googlemap_caption' );
			$dwell_description = dwell_get_theme_option( 'front_page_googlemap_description' );
			if ( ! empty( $dwell_caption ) || ! empty( $dwell_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'fullwidth' == $dwell_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}
					// Caption
				if ( ! empty( $dwell_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_googlemap_caption front_page_block_<?php echo ! empty( $dwell_caption ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $dwell_caption, 'dwell_kses_content' );
					?>
					</h2>
					<?php
				}

					// Description (text)
				if ( ! empty( $dwell_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_googlemap_description front_page_block_<?php echo ! empty( $dwell_description ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( wpautop( $dwell_description ), 'dwell_kses_content' );
					?>
					</div>
					<?php
				}
				if ( 'fullwidth' == $dwell_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$dwell_content = dwell_get_theme_option( 'front_page_googlemap_content' );
			if ( ! empty( $dwell_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'columns' == $dwell_layout ) {
					?>
					<div class="front_page_section_columns front_page_section_googlemap_columns columns_wrap">
						<div class="column-1_3">
					<?php
				} elseif ( 'fullwidth' == $dwell_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}

				?>
				<div class="front_page_section_content front_page_section_googlemap_content front_page_block_<?php echo ! empty( $dwell_content ) ? 'filled' : 'empty'; ?>">
				<?php
					echo wp_kses( $dwell_content, 'dwell_kses_content' );
				?>
				</div>
				<?php

				if ( 'columns' == $dwell_layout ) {
					?>
					</div><div class="column-2_3">
					<?php
				} elseif ( 'fullwidth' == $dwell_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Widgets output
			?>
			<div class="front_page_section_output front_page_section_googlemap_output">
				<?php
				if ( is_active_sidebar( 'front_page_googlemap_widgets' ) ) {
					dynamic_sidebar( 'front_page_googlemap_widgets' );
				} elseif ( current_user_can( 'edit_theme_options' ) ) {
					if ( ! dwell_exists_trx_addons() ) {
						dwell_customizer_need_trx_addons_message();
					} else {
						dwell_customizer_need_widgets_message( 'front_page_googlemap_caption', 'ThemeREX Addons - Google map' );
					}
				}
				?>
			</div>
			<?php

			if ( 'columns' == $dwell_layout && ( ! empty( $dwell_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>
		</div>
	</div>
</div>
