<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package DWELL
 * @since DWELL 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$dwell_copyright_scheme = dwell_get_theme_option( 'copyright_scheme' );
if ( ! empty( $dwell_copyright_scheme ) && ! dwell_is_inherit( $dwell_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $dwell_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$dwell_copyright = dwell_get_theme_option( 'copyright' );
			if ( ! empty( $dwell_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$dwell_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $dwell_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$dwell_copyright = dwell_prepare_macros( $dwell_copyright );
				// Display copyright
				echo wp_kses( nl2br( $dwell_copyright ), 'dwell_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
