<div class="front_page_section front_page_section_about<?php
	$dwell_scheme = dwell_get_theme_option( 'front_page_about_scheme' );
	if ( ! empty( $dwell_scheme ) && ! dwell_is_inherit( $dwell_scheme ) ) {
		echo ' scheme_' . esc_attr( $dwell_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( dwell_get_theme_option( 'front_page_about_paddings' ) );
	if ( dwell_get_theme_option( 'front_page_about_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$dwell_css      = '';
		$dwell_bg_image = dwell_get_theme_option( 'front_page_about_bg_image' );
		if ( ! empty( $dwell_bg_image ) ) {
			$dwell_css .= 'background-image: url(' . esc_url( dwell_get_attachment_url( $dwell_bg_image ) ) . ');';
		}
		if ( ! empty( $dwell_css ) ) {
			echo ' style="' . esc_attr( $dwell_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$dwell_anchor_icon = dwell_get_theme_option( 'front_page_about_anchor_icon' );
	$dwell_anchor_text = dwell_get_theme_option( 'front_page_about_anchor_text' );
if ( ( ! empty( $dwell_anchor_icon ) || ! empty( $dwell_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_about"'
									. ( ! empty( $dwell_anchor_icon ) ? ' icon="' . esc_attr( $dwell_anchor_icon ) . '"' : '' )
									. ( ! empty( $dwell_anchor_text ) ? ' title="' . esc_attr( $dwell_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_about_inner
	<?php
	if ( dwell_get_theme_option( 'front_page_about_fullheight' ) ) {
		echo ' dwell-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$dwell_css           = '';
			$dwell_bg_mask       = dwell_get_theme_option( 'front_page_about_bg_mask' );
			$dwell_bg_color_type = dwell_get_theme_option( 'front_page_about_bg_color_type' );
			if ( 'custom' == $dwell_bg_color_type ) {
				$dwell_bg_color = dwell_get_theme_option( 'front_page_about_bg_color' );
			} elseif ( 'scheme_bg_color' == $dwell_bg_color_type ) {
				$dwell_bg_color = dwell_get_scheme_color( 'bg_color', $dwell_scheme );
			} else {
				$dwell_bg_color = '';
			}
			if ( ! empty( $dwell_bg_color ) && $dwell_bg_mask > 0 ) {
				$dwell_css .= 'background-color: ' . esc_attr(
					1 == $dwell_bg_mask ? $dwell_bg_color : dwell_hex2rgba( $dwell_bg_color, $dwell_bg_mask )
				) . ';';
			}
			if ( ! empty( $dwell_css ) ) {
				echo ' style="' . esc_attr( $dwell_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_about_content_wrap content_wrap">
			<?php
			// Caption
			$dwell_caption = dwell_get_theme_option( 'front_page_about_caption' );
			if ( ! empty( $dwell_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_about_caption front_page_block_<?php echo ! empty( $dwell_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $dwell_caption, 'dwell_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$dwell_description = dwell_get_theme_option( 'front_page_about_description' );
			if ( ! empty( $dwell_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_about_description front_page_block_<?php echo ! empty( $dwell_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $dwell_description ), 'dwell_kses_content' ); ?></div>
				<?php
			}

			// Content
			$dwell_content = dwell_get_theme_option( 'front_page_about_content' );
			if ( ! empty( $dwell_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_content front_page_section_about_content front_page_block_<?php echo ! empty( $dwell_content ) ? 'filled' : 'empty'; ?>">
					<?php
					$dwell_page_content_mask = '%%CONTENT%%';
					if ( strpos( $dwell_content, $dwell_page_content_mask ) !== false ) {
						$dwell_content = preg_replace(
							'/(\<p\>\s*)?' . $dwell_page_content_mask . '(\s*\<\/p\>)/i',
							sprintf(
								'<div class="front_page_section_about_source">%s</div>',
								apply_filters( 'the_content', get_the_content() )
							),
							$dwell_content
						);
					}
					dwell_show_layout( $dwell_content );
					?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
