<?php
/**
 * The template to display default site footer
 *
 * @package DWELL
 * @since DWELL 1.0.10
 */

$dwell_footer_id = dwell_get_custom_footer_id();
$dwell_footer_meta = get_post_meta( $dwell_footer_id, 'trx_addons_options', true );
if ( ! empty( $dwell_footer_meta['margin'] ) ) {
	dwell_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( dwell_prepare_css_value( $dwell_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $dwell_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $dwell_footer_id ) ) ); ?>
						<?php
						$dwell_footer_scheme = dwell_get_theme_option( 'footer_scheme' );
						if ( ! empty( $dwell_footer_scheme ) && ! dwell_is_inherit( $dwell_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $dwell_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'dwell_action_show_layout', $dwell_footer_id );
	?>
</footer><!-- /.footer_wrap -->
