<?php
/**
 * The template to display the background video in the header
 *
 * @package DWELL
 * @since DWELL 1.0.14
 */
$dwell_header_video = dwell_get_header_video();
$dwell_embed_video  = '';
if ( ! empty( $dwell_header_video ) && ! dwell_is_from_uploads( $dwell_header_video ) ) {
	if ( dwell_is_youtube_url( $dwell_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $dwell_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php dwell_show_layout( dwell_get_embed_video( $dwell_header_video ) ); ?></div>
		<?php
	}
}
